package com.trade.admin.order.service;

import com.trade.common.core.page.GridPage;

import com.trade.service.order.dto.PurchaseSearchDto;
import com.trade.service.order.vo.PurchaseOrderDetailsVo;
import com.trade.service.order.vo.PurchaseOrderVo;

/**
 * @description: 采购订单服务
 * @Author: wanglang
 * @Date: 2024/9/12
 * @Version: 1.0
 */
public interface BPurchaseOrderService {

    /**
     * 分页查询采购订单列表
     * 
     * @param purchaseSearch
     * @return GridPage<SalesContractVo>
     */
    GridPage<PurchaseOrderVo> queryListByPage(PurchaseSearchDto purchaseSearch);

    /**
     * 根据id查询订单详情
     *
     * @param id 主键
     * @return 订单详情
     */
    PurchaseOrderDetailsVo getDetailsById(Long id);
}
