/**
 * @filename:PurchaseOrderLogisticsInformationMapper 2024-09-10
 * @project KJT v1.0.0 Copyright(c) 2024 wanglang Co. Ltd. All right reserved.
 */
package com.trade.service.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.trade.service.order.domain.PurchaseOrderLogistics;
import com.trade.service.order.vo.PurchaseOrderLogisticsVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Description:采购订单物流信息数据访问层
 * @version: v1.0.0
 * @author: wanglang
 */
@Mapper
public interface PurchaseOrderLogisticsMapper extends BaseMapper<PurchaseOrderLogistics> {

    /**
     * 根据采购订单id查询物流信息
     * 
     * @param purchaseOrderId 采购订单id
     * @return 物流信息
     */
    PurchaseOrderLogisticsVo selectByPurchaseOrderId(@Param("purchaseOrderId") Long purchaseOrderId);
}
